# PSF-LoginServer - master - net.psforever.objects.ballistics.Projectiles
PSF - LoginServer - master - net.psforever.objects.ballistics.Projectiles
Keywords: PSF LoginServer master net.psforever.objects.ballistics.Projectiles

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

o

net.psforever.objects.ballistics

# Projectiles

###

#### object Projectiles extends Enumeration

An `Enumeration` of all the projectile types in the game, paired with their object id as the `Value`.

Source
  Projectiles.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Projectiles
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final val anniversary_projectilea: Value
9.  final val anniversary_projectileb: Value
10.  final val aphelion_immolation_cannon_projectile: Value
11.  final val aphelion_laser_projectile: Value
12.  final val aphelion_plasma_rocket_projectile: Value
13.  final val aphelion_ppa_projectile: Value
14.  final val aphelion_starfire_projectile: Value
15.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
16.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
17.  final val bolt_projectile: Value
18.  final val bullet_105mm_projectile: Value
19.  final val bullet_12mm_projectile: Value
20.  final val bullet_12mm_projectileb: Value
21.  final val bullet_150mm_projectile: Value
22.  final val bullet_15mm_apc_projectile: Value
23.  final val bullet_15mm_projectile: Value
24.  final val bullet_20mm_apc_projectile: Value
25.  final val bullet_20mm_projectile: Value
26.  final val bullet_25mm_projectile: Value
27.  final val bullet_35mm_projectile: Value
28.  final val bullet_75mm_apc_projectile: Value
29.  final val bullet_75mm_projectile: Value
30.  final val bullet_9mm_AP_projectile: Value
31.  final val bullet_9mm_projectile: Value
32.  final val burster_projectile: Value
33.  final val chainblade_projectile: Value
34.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
35.  final val colossus_100mm_projectile: Value
36.  final val colossus_burster_projectile: Value
37.  final val colossus_chaingun_projectile: Value
38.  final val colossus_cluster_bomb_projectile: Value
39.  final val colossus_tank_cannon_projectile: Value
40.  final val comet_projectile: Value
41.  final val dualcycler_projectile: Value
42.  final val dynomite_projectile: Value
43.  final val energy_cell_projectile: Value
44.  final val energy_gun_nc_projectile: Value
45.  final val energy_gun_tr_projectile: Value
46.  final val energy_gun_vs_projectile: Value
47.  final val enhanced_energy_cell_projectile: Value
48.  final val enhanced_quasar_projectile: Value
49.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
50.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
51.  final val falcon_projectile: Value
52.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
53.  final val firebird_missile_projectile: Value
54.  final val flail_projectile: Value
55.  final val flamethrower_fireball: Value
56.  final val flamethrower_projectile: Value
57.  final val flux_cannon_apc_projectile: Value
58.  final val flux_cannon_thresher_projectile: Value
59.  final val fluxpod_projectile: Value
60.  final val forceblade_projectile: Value
61.  final val frag_cartridge_projectile: Value
62.  final val frag_cartridge_projectile_b: Value
63.  final val frag_grenade_projectile: Value
64.  final val frag_grenade_projectile_enh: Value
65.  final val galaxy_gunship_gun_projectile: Value
66.  final val gauss_cannon_projectile: Value
67.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
68.  final val grenade_projectile: Value
69.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
70.  final val heavy_grenade_projectile: Value
71.  final val heavy_rail_beam_projectile: Value
72.  final val heavy_sniper_projectile: Value
73.  final val hellfire_projectile: Value
74.  final val hunter_seeker_missile_dumbfire: Value
75.  final val hunter_seeker_missile_projectile: Value
76.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
77.  final val jammer_cartridge_projectile: Value
78.  final val jammer_cartridge_projectile_b: Value
79.  final val jammer_grenade_projectile: Value
80.  final val jammer_grenade_projectile_enh: Value
81.  final val katana_projectile: Value
82.  final val katana_projectileb: Value
83.  final val lancer_projectile: Value
84.  final val lasher_projectile: Value
85.  final val lasher_projectile_ap: Value
86.  final val liberator_bomb_cluster_bomblet_projectile: Value
87.  final val liberator_bomb_cluster_projectile: Value
88.  final val liberator_bomb_projectile: Value
89.  final val maelstrom_grenade_projectile: Value
90.  final val maelstrom_grenade_projectile_contact: Value
91.  final val maelstrom_stream_projectile: Value
92.  final val magcutter_projectile: Value
93.  final def maxId: Int
    Definition Classes
      Enumeration
94.  final val melee_ammo_projectile: Value
95.  final val meteor_common: Value
96.  final val meteor_projectile_b_large: Value
97.  final val meteor_projectile_b_medium: Value
98.  final val meteor_projectile_b_small: Value
99.  final val meteor_projectile_large: Value
100.  final val meteor_projectile_medium: Value
101.  final val meteor_projectile_small: Value
102.  final val mine_projectile: Value
103.  final val mine_sweeper_projectile: Value
104.  final val mine_sweeper_projectile_enh: Value
105.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
106.  var nextId: Int
     Attributes
       protected
     Definition Classes
       Enumeration
107.  var nextName: Iterator[String]
     Attributes
       protected
     Definition Classes
       Enumeration
108.  final val no_projectile: Value
109.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
110.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
111.  final val oicw_little_buddy: Value
112.  final val oicw_projectile: Value
113.  final val pellet_gun_projectile: Value
114.  final val peregrine_dual_machine_gun_projectile: Value
115.  final val peregrine_mechhammer_projectile: Value
116.  final val peregrine_particle_cannon_projectile: Value
117.  final val peregrine_rocket_pod_projectile: Value
118.  final val peregrine_sparrow_projectile: Value
119.  final val phalanx_av_projectile: Value
120.  final val phalanx_flak_projectile: Value
121.  final val phalanx_projectile: Value
122.  final val phoenix_missile_guided_projectile: Value
123.  final val phoenix_missile_projectile: Value
124.  final val plasma_cartridge_projectile: Value
125.  final val plasma_cartridge_projectile_b: Value
126.  final val plasma_grenade_projectile: Value
127.  final val plasma_grenade_projectile_B: Value
128.  final val pounder_projectile: Value
129.  final val pounder_projectile_enh: Value
130.  final val ppa_projectile: Value
131.  final val pulsar_ap_projectile: Value
132.  final val pulsar_projectile: Value
133.  final val quasar_projectile: Value
134.  final val radiator_grenade_projectile: Value
135.  final val radiator_sticky_projectile: Value
136.  def readResolve(): AnyRef
     Attributes
       protected
     Definition Classes
       Enumeration
137.  final val reaver_rocket_projectile: Value
138.  final val rocket_projectile: Value
139.  final val rocklet_flak_projectile: Value
140.  final val rocklet_jammer_projectile: Value
141.  final val scattercannon_projectile: Value
142.  final val scythe_projectile: Value
143.  final val scythe_projectile_slave: Value
144.  final val shotgun_shell_AP_projectile: Value
145.  final val shotgun_shell_projectile: Value
146.  final val six_shooter_projectile: Value
147.  final val skyguard_flak_cannon_projectile: Value
148.  final val sparrow_projectile: Value
149.  final val sparrow_secondary_projectile: Value
150.  final val spiker_projectile: Value
151.  final val spitfire_aa_ammo_projectile: Value
152.  final val spitfire_ammo_projectile: Value
153.  final val starfire_projectile: Value
154.  final val striker_missile_projectile: Value
155.  final val striker_missile_targeting_projectile: Value
156.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
157.  def toString(): String
     Definition Classes
       Enumeration → AnyRef → Any
158.  final val trek_projectile: Value
159.  def values: ValueSet
     Definition Classes
       Enumeration
160.  final val vanu_sentry_turret_projectile: Value
161.  final val vulture_bomb_projectile: Value
162.  final val vulture_nose_bullet_projectile: Value
163.  final val vulture_tail_bullet_projectile: Value
164.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
165.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
166.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
167.  final val wasp_gun_projectile: Value
168.  final val wasp_rocket_projectile: Value
169.  final val winchester_projectile: Value
170.  final def withName(s: String): Value
     Definition Classes
       Enumeration
171.  implicit object ValueOrdering extends Ordering[Value]
     Definition Classes
       Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped